
# setup clocks
create_clock -name IN_CLOCK -period 20 [get_ports IN_CLOCK]
derive_pll_clocks
derive_clock_uncertainty

# cut all the static GPIO
set_false_path -from [get_ports {IN_BUTTON_N*}]
set_false_path -from [get_ports {IN_SWITCH*}]
set_false_path -to [get_ports {OUT_LED*}]

# cut i2c which is asynchronous
set_false_path -from [get_ports {IN_SCL*}]
set_false_path -from [get_ports {INOUT_SDA*}]
set_false_path -to [get_ports {INOUT_SDA*}]

# cut frequency input and output
set_false_path -from [get_ports {IN_FREQ*}]
set_false_path -to [get_ports {OUT_FREQ*}]
set_false_path -to [get_ports {OUT_MEASURE1*}]
set_false_path -to [get_ports {OUT_MEASURE2*}]
set_false_path -to [get_ports {OUT_MEASURE3*}]

# set clocks and generator signals asynchronous to each other
set_clock_groups -asynchronous -group {pll_inst|altpll_component|auto_generated|pll1|clk[0]} \
	-group {pll_inst|altpll_component|auto_generated|pll1|clk[1]} \
	-group {pll_inst|altpll_component|auto_generated|pll1|clk[2]} \
	-group {pll_inst|altpll_component|auto_generated|pll1|clk[3]} \
	-group {pll_inst|altpll_component|auto_generated|pll1|clk[4]}